# TaskSuccessResult

interface TaskSuccessResult : TaskExecutionResult, SuccessResult

Describes how a task operation finished successfully.

#### Since

2.5

## Functions

getEndTime
Link copied to clipboard
abstract fun getEndTime(): Long
getExecutionReasons
Link copied to clipboard
abstract fun getExecutionReasons(): @Nullable List<String>
getStartTime
Link copied to clipboard
abstract fun getStartTime(): Long
isFromCache
Link copied to clipboard
abstract fun isFromCache(): Boolean
Returns whether the output for this task was pulled from a build cache when using task output caching.
isIncremental
Link copied to clipboard
abstract fun isIncremental(): Boolean
isUpToDate
Link copied to clipboard
abstract fun isUpToDate(): Boolean
Returns whether this task was up-to-date.